godo.Video.Generations.Content()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Video.Generations.Content(ctx context.Context, id string) ([]byte, *godo.Response, error)Description
Content downloads the generated MP4 bytes for a completed video.
This method sends a GET request to /v1/videos/{}/content.
Parameters
idstring required
Returns
- []byte
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Request Sample
More Information
See GET /v1/videos/{}/content in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.